List webhook endpoints
curl --request GET \
--url https://api.melso.ai/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.melso.ai/v1/webhook-endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.melso.ai/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"event_types": [
"company.onboarding_completed"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}{
"error": "invalid token",
"code": "unauthorized",
"request_id": "req_01JAB3K9X2"
}Webhook endpoints
List webhook endpoints
Lists your webhook endpoints.
GET
/
webhook-endpoints
List webhook endpoints
curl --request GET \
--url https://api.melso.ai/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.melso.ai/v1/webhook-endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.melso.ai/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"event_types": [
"company.onboarding_completed"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}{
"error": "invalid token",
"code": "unauthorized",
"request_id": "req_01JAB3K9X2"
}Preview. A contract we are building with design partners. It is not callable yet, and fields can still change. See Availability.
Authorizations
Your partner secret key, mk_live_… for real companies or mk_test_…
for test companies. Keep it on your servers. See
Authentication.
Response
Your endpoints.
Show child attributes
Show child attributes